<?php
    include '../comunes_php/cors.php';

    $contrato_id = isset($_REQUEST['id']) ? $_REQUEST  ['id'] : '-1';
    
    $page = isset($_POST['page']) ? intval($_POST['page']) : 1;
    $rows = isset($_POST['rows']) ? intval($_POST['rows']) : 10;
    $offset = ($page-1)*$rows;
    $result = array();
    
    include '../rdb/conn.php';
        $where ="";
    if ($contrato_id <>'') {$where .= " and contrato_id = $contrato_id"; }
    
    $sql = "SELECT count(*) FROM ";
    $sql .= "contrato_pagos   ";
    $sql .= "where 1  ";
    $sql.= $where;
    
    $rs = mysqli_query( $conn,$sql);
    $row = mysqli_fetch_row($rs);
    $result["total"] = $row[0];
    
    if ($result["total"] === 0) {exit;}  

   
$sql = "SELECT cp.id, `contrato_id`, tp.nombre tipo_pago,`tipo_pago_id`,";
$sql .= " b.nombre banco, `banco_id`, `fecha_pago`, `fecha_acreditacion`,";
$sql .= "`identificacion`, `observaciones`, `recibo`, `importe` ";
$sql .= "FROM contrato_pagos cp,tipo_pagos tp,bancos b WHERE ";
$sql .= "cp.tipo_pago_id=tp.id and cp.banco_id=b.id    ";
$sql.= $where;   
$sql .= "     order by id ";
    
 
    
    $rs = mysqli_query( $conn,$sql);
    
    $items = array();
    while($row = mysqli_fetch_object($rs)){
        array_push($items, $row);
    }
    $result["rows"] = $items;
    $result["sql"] = $sql;

    echo json_encode($result);
    
?>